# AGU - projekt
 
Projekt bazowy: https://github.com/tensorflow/magenta/tree/master/magenta/models/onsets_frames_transcription

## Wymagania
 - docker
 - LUB skonfigurowane środowisko magenta - https://github.com/tensorflow/magenta

## Uruchomienie w dockerze
Aby wykorzystać obraz dockera najpierw trzeba go zbudować. Najłatwiej to zrobić z wykorzystaniem dołączonego Makefile:

```
$ make image # wywołuje docker build . --tag transcription:latest
```

W ten sposób zostanie zbudowany obraz `transcription:latest`. Teraz możemy go wykorzystać:
```
$ docker run -v "$(pwd):/root/experiment" -it transcription:latest
```

W ten sposób powinniśmy znaleźć się wewnątrz kontenera z skonfigurowanym środowiskiem i pobranym checkpointem. Katalog
w którym się znajdujemy powinien być zamontowany w obrazie jako `~/experiment`.
